org.eclipse.rdf4j.lucene.spin.config

## Class LuceneSpinSailFactory

- java.lang.Object
- - org.eclipse.rdf4j.lucene.spin.config.LuceneSpinSailFactory

- All Implemented Interfaces:
    SailFactory

      public class LuceneSpinSailFactory
      extends Object
      implements SailFactory

  Author:
    jacek grzebyta

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SAIL_TYPE` The type of repositories that are created by this factory.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneSpinSailFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SailImplConfig` | `getConfig()`
    `Sail` | `getSail(SailImplConfig config)` Returns a Sail instance that has been initialized using the supplied configuration data.
    `String` | `getSailType()` Returns the type of the Sails that this factory creates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SAIL_TYPE

          public static final String SAIL_TYPE

      The type of repositories that are created by this factory.
      See Also:
        `SailFactory.getSailType()`, Constant Field Values

  - ### Constructor Detail

    - #### LuceneSpinSailFactory

          public LuceneSpinSailFactory()

  - ### Method Detail

    - #### getSailType

          public String getSailType()

      Description copied from interface: `SailFactory`
      Returns the type of the Sails that this factory creates. Sail types are used for identification and should uniquely identify specific implementations of the Sail API. This type can be equal to the fully qualified class name of the Sail, but this is not required.
      Specified by:
        `getSailType` in interface `SailFactory`

    - #### getConfig

          public SailImplConfig getConfig()

      Specified by:
        `getConfig` in interface `SailFactory`

    - #### getSail

          public Sail getSail(SailImplConfig config)
                       throws SailConfigException

      Description copied from interface: `SailFactory`
      Returns a Sail instance that has been initialized using the supplied configuration data.
      Specified by:
        `getSail` in interface `SailFactory`
      Parameters:
        `config` - TODO
      Returns:
        The created (but un-initialized) Sail.
      Throws:
        `SailConfigException` - If no Sail could be created due to invalid or incomplete configuration data.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.